mod processors;
mod router;
mod routes;
mod utilities;

use router::create_router;
use std::net::SocketAddr;

pub async fn run(port: String) {
    let app = create_router();
    let address = SocketAddr::from(([0, 0, 0, 0], port.parse().unwrap()));

    axum::Server::bind(&address)
        .serve(app.into_make_service())
        .await
        .unwrap();
}
