use env_logger::Env;
use liquid_rescale_api::run;
use log::info;

#[tokio::main]
async fn main() {
    dotenvy::dotenv().ok();
    let port = dotenvy::var("PORT").unwrap_or("3000".to_string());
    env_logger::Builder::from_env(Env::default().default_filter_or("info")).init();
    info!("Starting app on {}", port);
    run(port).await;
}
