use axum::{response::IntoResponse, Json};
use serde_json::json;

pub async fn index_route() -> impl IntoResponse {
    let data = json!({
        "name": "liquid-rescale-api",
        "version": env!("CARGO_PKG_VERSION"),
        "about": "Welcome traveler!"
    });

    Json(data)
}
